@echo off
Rem Do all settings depending from your Windows environment here

Rem This instruction sets the POCKTOOL path to the path of this script:
set POCKTOOL=%~dp0
Rem Tables for token of BASIC extensions and Kanji characters are to be stored in this directory
set KEYDIR=%POCKTOOL%KEYWORDS

Rem Here you should set the model type of your Pocket Computer
Rem Uncomment the line that lists your computer (without "PC-")
Rem Alternatively, you can use an SHARPSET.INI file:
rem if exist SHARPSET.INI for /f "delims== tokens=1,2" %%i in ('findstr "SHARPC" SHARPSET.INI') do set SHARPC=%%j

rem set SHARPC=1100
rem set SHARPC=1246DB
rem set SHARPC=1211
rem set SHARPC=1251
rem set SHARPC=1260
rem set SHARPC=1262J
rem set SHARPC=1350
rem set SHARPC=1360K -o%KEYDIR%\KANJI.cfg
rem set SHARPC=1401V1
rem set SHARPC=1402
rem set SHARPC=1403
rem set SHARPC=1421
rem set SHARPC=1445
rem set SHARPC=1475
rem set SHARPC=1500
rem set SHARPC=1500J -o%KEYDIR%\1500J.cfg
rem set SHARPC=1500QT
rem set SHARPC=1500QT1					  
rem set SHARPC=1500ST
rem set SHARPC=1600M1
rem set SHARPC=1600
rem set SHARPC=1600K -o%KEYDIR%\KANJI.cfg
rem set SHARPC=E220
rem set SHARPC=E500
rem set SHARPC=G850
rem set SHARPC=G850V

Rem For Bin2wav, uncomment for level inverting sound cards only
rem set SHARPDEV=INV

Rem Customize your paths to suit your folders you prefer
set BASDIR=%POCKTOOL%LISTINGS
set BINDIR=%BASDIR%
rem SET ORG=
set WAVDIR=%POCKTOOL%WAV
set RECDIR=%POCKTOOL%WAV\Recorded
set TAPDIR=%WAVDIR%
rem ANDDIR=?:\Android\data\o2s.emul.pc%SHARPC%\files\tapes

Rem Set additional permanent parameters for all scripts here
rem add -k%KEYDIR%\xyz.cfg -dYYY -uXXX -l# 
rem set BIN2OPT=-l0xC0
rem set WAV2OPT=-l0xC0
rem set BAS2OPT=-l0xE0

Rem Customize your paths to suit your software you prefer
Rem If you do not specify a editor, default editor for Bas files will be used
rem 
set EDITOR=notepad.exe
rem set EDITOR=%~d0\PortableApps\pspad\PSPad.exe
rem set EDITOR="%ProgramFiles%\Notepad++\notepad++.exe"
rem set EDITOR="%ProgramFiles(x86)%\TextPad 5\TextPad.exe"
rem set HEDITOR="%~d0\PortableApps\pspad\PSPad.exe" -H
rem set HEDITOR="%~d0\PortableApps\HEXEdit.exe"
Rem For DSave-30U, last parameter you have to enter is your COM port number:
rem set TERMLOAD="%~d0\PortableApps\teraterm\ttpmacro.exe" DLoad.TTL 0
Rem If you do not specify a player, default player for Wav files will be used
rem set PLAYER=%~d0\PortableApps\VUPlayer\VUPlayer.exe
rem color 70

echo Init %0.BAT
if "%SHARPC%"=="" goto Input
echo Pocket model: SHARP PC-%SHARPC%
rem pause
goto End

:Input
echo.
echo !! Edit %0.BAT to configure your SHARP PC and environment - type PHELP !!
set /p SHARPC=Pocket computer is SHARP PC-
echo.

:End
